#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# =============================================================================
# Chapitre 12 Exercice 34                                            Correction 
# =============================================================================

m = 0.594  # masse du ballon en kg
g = 9.81   # Intensité de la pesanteur en N/kg
delta_t=[..................] # Liste des ∆t entre les rebonds (en s)
N=len(delta_t) # Nombre de mesures de ∆t

hmax,Em=[],[] # Définition de listes vides
for i in range(N):
    hmaxi=g*delta_t[i]**2/8    # Altitude maximale atteinte entre deux rebonds
    Emi=m*g**2*delta_t[i]**2/8 # Energie mécanique entre deux rebonds
    hmax.append(hmaxi)     
    Em.append(Emi)

pourcentage_Em_restante=[]
for i in range(N-1):
    # Calcul du pourcentage d'énergie mécanique conservée lors du rebond
    pourcentage_Em_restante_i=........................
    pourcentage_Em_restante.append(pourcentage_Em_restante_i)

# Affichage des altitudes maximales atteintes lors des rebonds
print("Les altitudes maximales atteintes entre chaque rebond sont égales à :")
for i in range(N):
    print("%.2f cm"%(hmax[i]*100))

# Affichage des pourcentages d'énergie mécanique conservée lors des rebonds
print(............................................... )
for i in range(........):
    print(....................)

    

    


